Add Presence
curl --request POST \
--url https://api.velt.dev/v2/presence/add \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentId": "<string>",
"users": [
{
"userId": "<string>",
"name": "<string>",
"email": "<string>",
"status": "<string>"
}
]
}
}
'import requests
url = "https://api.velt.dev/v2/presence/add"
payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"users": [
{
"userId": "<string>",
"name": "<string>",
"email": "<string>",
"status": "<string>"
}
]
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
users: [{userId: '<string>', name: '<string>', email: '<string>', status: '<string>'}]
}
})
};
fetch('https://api.velt.dev/v2/presence/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Presence added successfully.",
"data": {
"success": true
}
}
}
Presence
Add Presence
Add users to the presence list for a document within an organization using the Velt v2 REST API to show who is currently active or viewing.
POST
/
v2
/
presence
/
add
Add Presence
Use this API to add users to the presence list for a document within an organization.
Endpoint
POST https://api.velt.dev/v2/presence/add
Headers
Your API key.
Your Auth Token.
Body
Params
Show properties
Show properties
Organization ID
Document ID
Example Requests
Add a single user to presence
{
"data": {
"organizationId": "org-123",
"documentId": "doc-456",
"users": [
{
"userId": "user-1",
"name": "User Name",
"email": "user@example.com",
"status": "online"
}
]
}
}
Add multiple users to presence
{
"data": {
"organizationId": "org-123",
"documentId": "doc-456",
"users": [
{
"userId": "user-1",
"name": "User Name",
"email": "user@example.com"
},
{
"userId": "user-2",
"name": "Another User",
"email": "another@example.com",
"status": "away"
}
]
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Presence added successfully.",
"data": {
"success": true
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Presence added successfully.",
"data": {
"success": true
}
}
}
Was this page helpful?
⌘I

